#!/bin/sh

scriptver="20160806"
log="/home/hd1/equip_test.log"

echo -e "Script run: $(date +"%Y%m%d-%k:%M:%S")" > "${log}"
echo -e "Script version: $scriptver" >> "${log}"


# Moscow TimeZone UTC+3
# If you need other TimeZone just change mytz value
# Moscow      UTC+3
# Kiev/Tallin UTC+2
# Berlin      UTC+1
# Los-Angeles UTC-8

mytz=UTC+3 # <- Edit here

digitalTZ=`echo $mytz | sed 's/UTC//'`

TZtoSet=$((8-digitalTZ))

if [ $TZtoSet -gt 0 ]; then
    TZValue="GMT+$TZtoSet"
    echo "TZValue=$TZValue"
else
    TZValue="GMT$TZtoSet"
    echo "TZValue=$TZValue"
fi

echo -e "Set time zone $mytz" >> "${log}"

echo $TZValue > /etc/TZ

# Telnet

echo -e "Enable telnet" >> "${log}"

if [ ! -f "/etc/init.d/S88telnet" ]; then
    echo "#!/bin/sh" > /etc/init.d/S88telnet
    echo "telnetd &" >> /etc/init.d/S88telnet
    chmod 755 /etc/init.d/S88telnet
fi

# FTP

echo -e "Enable FTP" >> "${log}"

echo "#!/bin/sh" > /etc/init.d/S89ftp
echo "tcpsvd -vE 0.0.0.0 21 ftpd -w / &" >> /etc/init.d/S89ftp
chmod 755 /etc/init.d/S89ftp

# HTTP
dr=`dirname $0`
if ! cmp $dr/server /home/web/server; then
    mv /home/web/server /home/web/server.backup
    cp $dr/server /home/web/server
    ln -s /home/hd1/record /home/web/
fi

# RTSP
echo -e "Enable RTSP" >> "${log}"

#versionLetter=`sed -n 's/version=1.8.6.1\(.\)_.*/\1/p' /home/version`
versionLetter=`sed -n 's/version=\(.......\).*/\1/p' /home/version`

echo -e "Firmware ver: $versionLetter" >> "${log}"

 
case $versionLetter in
    1.8.6.1) file='M'
        ;;
    *) file='None'
        ;;
esac

if [ $file != 'None' ]; then
    filename="${dr}/rtspsvr${file}"
    #echo Using $filename
    echo -e "Install file: $filename" >> "${log}"

    if test -f $filename; then
        if ! cmp $filename /home/rtspsvr; then
            test -f /home/rtspsvr && mv /home/rtspsvr /home/rtspsvr.backup
            cp $filename /home/rtspsvr
        fi
    fi
else
    #echo 'Firmware not supported'
    echo -e "Firmware not supported" >> "${log}"
    #cp $dr/rtspsvrM /home/rtspsvr
fi

# Russian sound
echo -e "Russian sound copy" >> "${log}"

cp -f $dr/ru/*.g726 /home/
if [ -f "/home/recv.726" ]; then
  mv /home/recv.726 /home/recv.g726
fi

# disconnected from china
echo -e "Disconnected from China" >> "${log}"

ps | grep /home/watch_process | grep -v "grep" | awk '{print $1}' | xargs kill -9
ps | grep /home/cloud | grep -v "grep" | awk '{print $1}' | xargs kill -9
sed -i 's|api.xiaoyi.com/v4/ipc/check_did|api.xiaoyi.cox/v4/ipc/check_did|g' /home/cloud


# Disable logo
echo -e "Disable logo YI" >> "${log}"
mv -f /home/hight_1555.bmp /home/hight_1555.bmp_
mv -f /home/low_1555.bmp /home/low_1555.bmp_
cp -f $dr/logo/*.bmp /home/
      
        
# fix bootcycle
echo -e "Remove hd1/test/" >> "${log}"

mv $dr/equip_test.sh $dr/equip_test-moved.sh
rm -rf $dr

reboot
